make ‘'nonzero an alias of ‘nonzero?’
Status: Assigned
Target version:

Description
for historic reasons nonzero? returns self or nil. (according to https://bugs.ruby-lang.org/issues/9123)

| like the expectation that method? returns true and false.
That nonzero? returns only truthy/falsy values would be fine, except using its return values are useful.

value.nonzero? || calculation or (a <=> b).nonzero? || a.subvalue <=> b.subvalue
| would feel more comfortable with value.nonzero || calculation even though it is only one character different.
Yes, it's a small thing, but | like ruby for the small things :)

Thanks.

History

#1 - 10/29/2015 01:25 PM - marcandre (Marc-Andre Lafortune)

- Assignee set to matz (Yukihiro Matsumoto)

When you say "for historic reasons nonzero? returns self or nil", it sounds like it was a mistake that can't be fixed for compatibility reason. | don't
believe this to be true.

Also, do you also want Module#< and al. to be renamed?

String < Fixnum # => nil

#2 - 12/23/2021 11:43 PM - hsbt (Hiroshi SHIBATA)
- Project changed from 14 to Ruby

#3 - 04/03/2024 03:50 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned
